Name:           lua-json
Version:        1.3.2
Release:        13
License:        MIT
Summary:        JSON Parser/Constructor for Lua

%define luaversion 5.3
%define luapkgdir %{_datadir}/lua/%{luaversion}
%global commitid 7a86bc22066858afeb23845a191a6ab680b46233
%global shortid %(c=%{commitid}; echo ${c:0:7})

URL:            http://github.com/harningt/luajson/
Source0:        https://github.com/harningt/luajson/archive/%{commitid}/luajson-%{version}-%{shortid}.tar.gz
# for build and check
BuildRequires:  lua >= %{luaversion}, lua-lpeg >= 0.8.1
BuildRequires:  lua-filesystem >= 1.4.1, lua-lunit >= 0.4
BuildArch:   noarch
# for run
Requires:  lua >= %{luaversion}, lua-lpeg >= 0.8.1

Patch0:  luajson-lua-5.2.patch

Patch6000: tests-enhances-coverage-for-strings.additionalEscape.patch
Patch6001: decode.strings-tests-fixes-additionalEscapes-to-over.patch

%description
JSON parser/encoder for Lua Parses JSON using LPEG for speed and flexibility.
Depending on parser/encoder options, various values are preserved as best as possible.

%prep
%autosetup -n luajson-%{commitid} -p1

%build

%install
mkdir -p $RPM_BUILD_ROOT%{luapkgdir}
cp -pr lua/* $RPM_BUILD_ROOT%{luapkgdir}

%check
make check-regression

%files
%doc LICENSE docs/LuaJSON.txt docs/ReleaseNotes-1.0.txt
%{luapkgdir}/*

%changelog
* Fri Dec 20 2019 chengquan <chengquan3@huawei.com> - 1.3.2-13
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:quality enhancement synchronization github patch

* Thu Sep 5 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3.2-12
- Fix package name

* Thu Sep 5 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3.2-11
- Package init
